Skip to main content
PATCH
/
v2
/
auth
/
providers
/
{provider_id}
Update Oauth Provider
curl --request PATCH \
  --url https://api.example.com/v2/auth/providers/{provider_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "client_id": "<string>",
  "client_secret": "<string>",
  "auth_url": "<string>",
  "token_url": "<string>",
  "uses_pkce": true,
  "code_challenge_method": "<string>"
}
'
import requests

url = "https://api.example.com/v2/auth/providers/{provider_id}"

payload = {
"name": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"auth_url": "<string>",
"token_url": "<string>",
"uses_pkce": True,
"code_challenge_method": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
client_id: '<string>',
client_secret: '<string>',
auth_url: '<string>',
token_url: '<string>',
uses_pkce: true,
code_challenge_method: '<string>'
})
};

fetch('https://api.example.com/v2/auth/providers/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organization_id": "<string>",
  "provider_id": "<string>",
  "name": "<string>",
  "client_id": "<string>",
  "auth_url": "<string>",
  "token_url": "<string>",
  "uses_pkce": true,
  "code_challenge_method": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "provider_type": "<string>",
  "mcp_server_url": "<string>",
  "token_endpoint_auth_method": "client_secret_post",
  "is_dynamic_client": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

provider_id
string
required

Body

application/json

Request model for updating OAuth provider.

name
string | null
client_id
string | null
client_secret
string | null
auth_url
string | null
token_url
string | null
uses_pkce
boolean | null
code_challenge_method
string | null

Response

Successful Response

Response model for OAuth provider.

id
string
required
organization_id
string
required
provider_id
string
required
name
string
required
client_id
string
required
auth_url
string
required
token_url
string
required
uses_pkce
boolean
required
code_challenge_method
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider_type
string | null
mcp_server_url
string | null
token_endpoint_auth_method
string
default:client_secret_post
is_dynamic_client
boolean
default:false